NFSSTAT(8)

NOM
nfsstat - Afficher des statistiques NFS

SYNOPSIS
nfsstat [OPTION]...

DESCRIPTION
La commande nfsstat affiche des statistiques sur l'activité des clients et du serveur NFS.

OPTIONS

-s, --server
    Afficher seulement les informations sur le serveur. Par défaut, les informations concernant et le serveur et le client sont affichées.

-c, --client
    Afficher seulement les informations sur le client.

-n, --nfs
    Afficher seulement les statitiques sur NFS. Par défaut, les informations sur RPC et NFS sont affichées.

-2  Afficher seulement les statistiques de NFS version 2. Le comportement par défaut est de n'afficher que les informations sur les versions de NFS qui ont des compteurs non nuls.

-3  Afficher seulement les statistiques de NFS version 3.

-4  Afficher seulement les statistiques de NFS version 4.

-m, --mounted
    Afficher les informations de chacun des systèmes de fichiers NFS montés Si cette option est utilisée, toutes les autres sont ignorées.

-r, --rpc
    Afficher seulement les statistiques sur les RPC.

-o domaine
    Afficher des statistiques sur le domaine indiqué. Ce dernier peut être l'un des suivants :

    nfs Informations sur le protocole NFS, selon les appels RPC.

    rpc Information générales sur les RPC.

    net Statistiques de la pile réseau telles que nombre de paquets reçus, nombre de connections TCP, etc.

    fh  Informations sur l'utilisation du cache de descripteurs de fichiers du serveur, en particulier le nombre total de lookups, et le nombre de réponses trouvées dans le cache et celui de celles non cachées.

    rc  Information sur l'utilisation du cache des réponses aux requêtes, y compris le nombre total de lookups, et le nombre de réponses trouvées dans le cache et celui de celles non cachées.

    all Afficher toutes les informations précédentes.

-v, --verbose
    Équivalent à -o all.

-Z ,  --sleep
    Plutôt que d'afficher les statistiques et quitter immédiatement, nfsstat prend un instantané des statistiques actuelles et se met en sommeil jusqu'à ce qu'il reçoive un signal SIGINT (typiquement à partir d'un Ctrl-C), auquel cas il prendra un autre instantané et affichera la différence entre les deux.

EXEMPLES

nfsstat -o all -234
    Afficher toutes les informations de toutes les version de NFS.

nfsstat --verbose -234
    Même chose que l'exemple précédent.

nfsstat -o all
    Afficher toutes les informations de toutes les versions actives de NFS.

nfsstat --nfs --server -3
    Afficher les statistiques du serveur NFS version 3.

nfsstat -m
    Afficher les informations sur les systèmes de fichiers NFS montés.

AFFICHAGE
La sortie Flags de l'option -m est la même que les attributs (Ndt : flags) fournis à la commande mount.

BOGUES
La sortie par défaut a changé. Pour obtenir l'ancienne sortie par défaut, vous devez lancer : nfsstat --auto -2.

La fonction des options -v et -a a changé. L'option -a est à présent réservée pour une utilisation future. L'option -v fait ce que faisait l'option -a, et les nouvelles options -[234] remplacent l'option -v.

La section AFFICHAGE devrait être plus complète.

Les bogues peuvent être trouvés ou signalés (en anglais) à http://nfs.sf.net/.

FICHIERS

/proc/net/rpc/nfsd
    Interface basée sur procfs pour les statistiques du serveur NFS implémenté dans le noyau.

/proc/net/rpc/nfs
    Interface basée sur procfs pour les statistiques du client NFS implémenté dans le noyau.

/proc/mounts
    Interface basée sur procfs pour les systèmes de fichiers montés.

AUTEUR
Olaf Kirch, <okir@suse.de>

VOIR AUSSI
nfs(5), rpc.nfsd(8)

TRADUCTION

Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva DOT com> en 2000, mise à jour par Alain Portal <aportal AT univ-montp2 DOT fr> le 1er septembre 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 nfsstat ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.